﻿@model Instantly.ViewModels.RegistrationModel

@{
    ViewData["Title"] = "Registration";
}
<div class="container">
    <h1>Реєстрація</h1>

    <h4>Нового користувача</h4>
    <hr />
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Registration" asp-controller="Account" asp-antiforgery="true" enctype="multipart/form-data">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="Email" class="control-label">E-mail</label>
                    <input asp-for="Email" class="form-control" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Password" class="control-label">Пароль</label>
                    <input asp-for="Password" class="form-control" />
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ConfirmPassword" class="control-label">Пароль для підтвердження</label>
                    <input asp-for="ConfirmPassword" class="form-control" />
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="FIO" class="control-label">Повне ім'я</label>
                    <input asp-for="FIO" class="form-control" />
                    <span asp-validation-for="FIO" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Birthdate" class="control-label">Дата народження</label>
                    <input asp-for="Birthdate" class="form-control" />
                    <span asp-validation-for="Birthdate" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Photo" class="control-label">Фото</label><br />
                    <input type="file" name="uploadedPhoto" />
                </div>
                <div class="form-group">
                    <label asp-for="City" class="control-label">Місто</label>
                    <input asp-for="City" class="form-control" />
                    <span asp-validation-for="City" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input type="submit" value="Реєстрація" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>
    <!--
    <div>
        <a asp-action="Index">Back to List</a>
    </div>
    -->

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</div>